<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');
include_once('../../../php/timezone.php');
include_once('../../../php/privileges.php');

$bitForm = "inv4090";
$bitMod = "inv";
$empCod = $_SESSION['empCod'];
$usuCod = utf8_decode($_SESSION['usuCod']);
$usuNom = utf8_decode($_SESSION['usuNom']);

switch ($_POST['action']) {
	case 'consultarTtransp':
		echo consultarTtransp();
		break;

	case 'guardar':
		echo guardar();
		break;

	case 'borrar':
		echo borrar();
		break;
}

function consultarTtransp() {
	global $empCod;
	$numCod=utf8_decode($_POST['numCod']);

	# QUERYS
	$sTtransp = "SELECT *, TRIM(tt_nom) AS tt_nom FROM ttransp where tt_cod='$numCod'";

	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sTtransp, "ttransp");
	$db->close();

	$func = new functions();

	return $func->jsonEncodeArray($resp, "ttransp");
}


function guardar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$numCod=$_POST['numCod'];
	$txtNom=utf8_decode($_POST['txtNom']);

	# QUERYS PARA UN REGISTRO
	$iTtransp = "INSERT INTO ttransp(tt_cod, tt_nom) VALUES ('$numCod','$txtNom')";

	$uTtransp = "UPDATE ttransp SET tt_nom='$txtNom' WHERE tt_cod='$numCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	if ($func->stringToBool($_POST['nuevo'])) {
		$resp = $db->iEx($iTtransp);
		$db->iEx($func->iBitacora(utf8_decode("Se creó Tipo de Transporte, Codigo: $numCod   txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	} else {
		$resp = $db->uEx($uTtransp);
		$db->iEx($func->iBitacora(utf8_decode("Se modificó Tipo de Transporte, Codigo: $numCod   $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	}
	
	$db->close();

	return json_encode($resp);
}

function borrar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$func = new functions();

	$numCod=$_POST['numCod'];
	$txtNom=$_POST['txtNom'];

	# QUERYS
	$dTtransp = "DELETE FROM ttransp WHERE tt_cod='$numCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	$resp = $db->dEx($dTtransp);
	$db->iEx($func->iBitacora(utf8_decode("Se borró Tipo de Transporte, Codigo: $numCod  $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	$db->close();

	return json_encode($resp);
}
?>